
OpenCV - Bug # 115: Can't build OpenCV 64bit on OSX 10.6 (Snow leopard)
Updated: 2012-08-16 Due date:
Affected version:
Difficulty:
Pull request:
Operating System:
Description: The current svn code doesn't build on mac os x snow leopard with xcode 3.2.1.

Build error:

[ 84%] Building CXX object src/highgui/CMakeFiles/highgui.dir/grfmt_bmp.o
cd /Users/gijs/Archive/opencv-svn/build/src/highgui && /usr/bin/c++   -Dhighgui_EXPORTS -DHAVE_ALLOCA 
-DHAVE_ALLOCA_H -DHAVE_LIBPTHREAD -DHAVE_UNISTD_H -DHAVE_CONFIG_H -DHAVE_JPEG 
-DHAVE_PNG -DHAVE_TIFF -DHAVE_JASPER -DHAVE_QUICKTIME=1 -DHAVE_CARBON=1 
-DHIGHGUI_EXPORTS -DCVAPI_EXPORTS -mmacosx-version-min=10.6   -Wall -pthread 
-D_GLIBCXX_PARALLEL -fopenmp  -O3 -DNDEBUG  -fomit-frame-pointer -DNDEBUG  -fPIC 
-I/Users/gijs/Archive/opencv-svn/. -I/Users/gijs/Archive/opencv-svn/build 
-I/Users/gijs/Archive/opencv-svn/include -I/Users/gijs/Archive/opencv-svn/include/opencv 
-I/Users/gijs/Archive/opencv-svn/src/highgui/../../3rdparty/include 
-I/Users/gijs/Archive/opencv-svn/src/highgui/../../include/opencv -I/Users/gijs/Archive/opencv-svn/src/highgui 
-I/Users/gijs/Archive/opencv-svn/build/src/highgui    -include 
/Users/gijs/Archive/opencv-svn/build/src/highgui/_highgui.h -Winvalid-pch  -o 
CMakeFiles/highgui.dir/grfmt_bmp.o -c /Users/gijs/Archive/opencv-svn/src/highgui/grfmt_bmp.cpp
cc1plus: warning: /Users/gijs/Archive/opencv-svn/build/src/highgui/_highgui.h.gch/highgui_Release.gch: 
created and used with differing settings of '-mmacosx-version-min='
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void icvDrawImage(CvWindow*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:223: error: ‘GetWindowPortBounds’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:239: error: ‘SetPortWindowPort’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:240: error: ‘GetWindowPort’ was not declared 
in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:240: error: ‘QDBeginCGContext’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:244: error: ‘QDEndCGContext’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void icvUpdateWindowSize(const 
[[CvWindow]]*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:283: error: ‘GetWindowBounds’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:299: error: ‘SetWindowBounds’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void 
icvDeleteWindow(CvWindow*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:329: error: ‘DisposeWindow’ was not declared 
in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void cvResizeWindow(const 
char*, int, int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:436: error: ‘SizeWindow’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void cvMoveWindow(const char*, 
int, int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:457: error: ‘MoveWindow’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void 
[[TrackbarActionProcPtr]](OpaqueControlRef*, [[ControlPartCode]])’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:473: error: ‘GetControl32BitValue’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:496: error: ‘SetControlData’ was not declared 
in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:497: error: ‘DrawControls’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘int icvCreateTrackbar(const 
char*, const char*, int*, int, void (*)(int), void (*)(int, void*), void*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:572: error: ‘GetThemeTextDimensions’ was 
not declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:578: error: ‘GetWindowBounds’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:588: error: ‘CreateStaticTextControl’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:596: error: ‘CreateSliderControl’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:599: error: ‘SetControlVisibility’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘void cvSetTrackbarPos(const 
char*, const char*, int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:708: error: ‘SetControlValue’ was not declared 
in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:709: error: ‘Draw1Control’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘int cvNamedWindow(const char*, 
int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:830: error: ‘CreateNewWindow’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:834: error: ‘SetWindowTitleWithCFString’ was 
not declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:840: error: ‘GetWindowEventTarget’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:842: error: ‘ShowWindow’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘OSStatus 
windowEventHandler(OpaqueEventHandlerCallRef*, [[OpaqueEventRef]]*, void*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:925: error: ‘GetWindowBounds’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:952: error: ‘GetWindowBounds’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:954: error: ‘SizeControl’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp: In function ‘int cvWaitKey(int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/window_carbon.cpp:1003: error: ‘WaitNextEvent’ was not declared 
in this scope
maker2: *** [src/highgui/CMakeFiles/highgui.dir/window_carbon.o] Error 1
maker2: *** Waiting for unfinished jobs....
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:76: error: ‘Movie’ does not name a type
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘CvCapture_QT_Movie* 
icvCaptureFromFile_QT(const char*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:104: error: ‘EnterMovies’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘int 
icvOpenFile_QT_Movie(CvCapture_QT_Movie*, const char*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:143: error: ‘ClearMoviesStickyError’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:146: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:162: error: ‘kQTPOSIXPathStyle’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:162: error: 
‘QTNewDataReferenceFromFullPathCFString’ was not declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:170: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:170: error: ‘newMovieActive’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:170: error: ‘newMovieAsyncOK’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:171: error: ‘NewMovieFromDataRef’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:191: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:191: error: ‘nextTimeMediaSample’ was not declared 
in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:191: error: ‘nextTimeEdgeOK’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:192: error: ‘GetMovieNextInterestingTime’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:206: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:213: error: ‘GetMoviesError’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:214: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:214: error: ‘GetMovieBox’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:219: error: ‘QTNewGWorld’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:221: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:221: error: ‘SetMovieGWorld’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘int 
icvClose_QT_Movie(CvCapture_QT_Movie*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:244: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:248: error: ‘DisposeGWorld’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:249: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:249: error: ‘DisposeMovie’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘double 
icvGetProperty_QT_Movie(CvCapture_QT_Movie*, int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:265: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:282: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:282: error: ‘GetMovieTimeScale’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:287: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:287: error: ‘GetMovieDuration’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:301: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:301: error: ‘GetMovieDuration’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:302: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:302: error: ‘GetMovieTimeScale’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘int 
icvSetProperty_QT_Movie(CvCapture_QT_Movie*, int, double)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:332: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:352: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:352: error: ‘GetMovieTimeScale’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:357: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:357: error: ‘GetMovieDuration’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:371: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:371: error: ‘nextTimeStep’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:372: error: ‘GetMovieNextInterestingTime’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:373: error: ‘GetMoviesError’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:386: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:386: error: ‘nextTimeStep’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:387: error: ‘GetMovieNextInterestingTime’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:388: error: ‘GetMoviesError’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:409: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:409: error: ‘nextTimeStep’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:410: error: ‘GetMovieNextInterestingTime’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:411: error: ‘GetMoviesError’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘int 
icvGrabFrame_QT_Movie(CvCapture_QT_Movie*)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:442: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:450: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:450: error: ‘SetMovieTimeValue’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:451: error: ‘GetMoviesError’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:459: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:459: error: ‘GetMovieTime’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:463: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:463: error: ‘nextTimeStep’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:463: error: ‘GetMovieNextInterestingTime’ was not 
declared in this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘const void* 
icvRetrieveFrame_QT_Movie(CvCapture_QT_Movie*, int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:485: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:495: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:495: error: ‘UpdateMovie’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:496: error: ‘GetMoviesError’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:504: error: ‘struct [[CvCapture]]_QT_Movie’ has no 
member named ‘myMovie’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:504: error: ‘MoviesTask’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:516: error: ‘GetGWorldPixMap’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:517: error: ‘LockPixels’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:518: error: ‘GetPixBaseAddr’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:518: error: ‘GetPixRowBytes’ was not declared in 
this scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:524: error: ‘UnlockPixels’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: At global scope:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:557: error: ‘SeqGrabComponent’ does not name a 
type
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:558: error: ‘SGChannel’ does not name a type
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:561: error: ‘ImageSequence’ does not name a type
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: In function ‘CvCapture_QT_Cam* 
icvCaptureFromCam_QT(int)’:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:591: error: ‘EnterMovies’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp: At global scope:
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: ‘SGChannel’ was not declared in this 
scope
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before 
‘raw_data’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before 
‘long’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before 
‘long’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before 
‘long’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before ‘,’ 
token
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before 
‘short’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: expected primary-expression before 
‘long’
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: error: initializer expression list treated as 
compound expression
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:855: error: expected ‘,’ or ‘;’ before ‘{’ token
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:239: warning: ‘int 
icvClose_QT_Movie(CvCapture_QT_Movie*)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:262: warning: ‘double 
icvGetProperty_QT_Movie(CvCapture_QT_Movie*, int)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:329: warning: ‘int 
icvSetProperty_QT_Movie(CvCapture_QT_Movie*, int, double)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:439: warning: ‘int 
icvGrabFrame_QT_Movie(CvCapture_QT_Movie*)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:482: warning: ‘const void* 
icvRetrieveFrame_QT_Movie(CvCapture_QT_Movie*, int)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:99: warning: ‘CvCapture_QT_Movie* 
icvCaptureFromFile_QT(const char*)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:573: warning: ‘int 
icvOpenCamera_QT(CvCapture_QT_Cam*, int)’ declared ‘static’ but never defined
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:574: warning: ‘int 
icvClose_QT_Cam(CvCapture_QT_Cam*)’ declared ‘static’ but never defined
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:610: warning: ‘double 
icvGetProperty_QT_Cam(CvCapture_QT_Cam*, int)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:617: warning: ‘int 
icvSetProperty_QT_Cam(CvCapture_QT_Cam*, int, double)’ defined but not used
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:577: warning: ‘int 
icvGrabFrame_QT_Cam(CvCapture_QT_Cam*)’ declared ‘static’ but never defined
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:578: warning: ‘const void* 
icvRetrieveFrame_QT_Cam(CvCapture_QT_Cam*, int)’ declared ‘static’ but never defined
/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:587: warning: ‘CvCapture_QT_Cam* 
icvCaptureFromCam_QT(int)’ defined but not used

2025-03-14 6/7



/Users/gijs/Archive/opencv-svn/src/highgui/cvcap_qt.cpp:854: warning: ‘icvDataProc_QT_Cam’ defined but 
not used
maker2: *** [src/highgui/CMakeFiles/highgui.dir/cvcap_qt.o] Error 1
maker1: *** [src/highgui/CMakeFiles/highgui.dir/all] Error 2
make: *** [all] Error 2
gijs@omhp-uva-26-241:~/Archive/opencv-svn/build
$ 

Associated revisions
2012-11-01 04:29 pm - Marina Kolpakova
Merge pull request #115 from asmorkalov:java_test_data_update

2014-01-22 07:13 am - Andrey Pavlenko
Merge pull request #115 from ilya-lavrenov:tapi_perf_stitching

History
2010-02-10 12:26 am - Gijs Molenaar
[[OpenCV]] 2.0 has the same problem. Strange, it is working on my previous snow leopard setup. Maybe because that was an upgrade from leopard. I 
think there is some issue that Carbon is being abandoned. 

2010-02-11 01:16 pm - Gijs Molenaar
Ok, i'm a little bit further. OSX Carbon is not supported for x86_64, so you need to build with -arch i386. The problem is now that a x86_64 python can't 
open a i386 library.

2010-02-26 07:58 pm - Ryan Lei
So, can we use CMake to build without carbon and quicktime? What file should we edit?

2010-03-12 12:01 pm - Gijs Molenaar
- Status changed from Open to Done

- (deleted custom field) set to fixed

This seems to be fixed in the trunk.

2012-08-16 02:27 pm - Andrey Kamaev
- Category changed from highgui-images to highgui-gui

2025-03-14 7/7


